- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::IpoptAdditionalCq Class Reference

Base class for additional calculated quantities that is special to a particular type of algorithm, such as the CG penalty function, or using iterative linear solvers. More...

`#include <IpIpoptCalculatedQuantities.hpp>`

Inheritance diagram for Ipopt::IpoptAdditionalCq:

[legend]
Collaboration diagram for Ipopt::IpoptAdditionalCq:

[legend]
List of all members.

## Public Member Functions
virtual bool | Initialize (const Journalist &jnlst, const OptionsList &options, const std::string &prefix)=0
| This method is called to initialize the global algorithmic parameters.
Constructors/Destructors
| IpoptAdditionalCq ()
| Default Constructor.
virtual | ~IpoptAdditionalCq ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| IpoptAdditionalCq (const IpoptAdditionalCq &)
| Copy Constructor.
void | operator= (const IpoptAdditionalCq &)
| Overloaded Equals Operator.

## Detailed Description

Base class for additional calculated quantities that is special to a particular type of algorithm, such as the CG penalty function, or using iterative linear solvers.

The regular IpoptCalculatedQuantities object should be given a derivation of this base class when it is created.

Definition at line 40 of file IpIpoptCalculatedQuantities.hpp.

## Constructor & Destructor Documentation

Ipopt::IpoptAdditionalCq::IpoptAdditionalCq | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 46 of file IpIpoptCalculatedQuantities.hpp.

virtual Ipopt::IpoptAdditionalCq::~IpoptAdditionalCq | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 50 of file IpIpoptCalculatedQuantities.hpp.

Ipopt::IpoptAdditionalCq::IpoptAdditionalCq | ( | const IpoptAdditionalCq & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::IpoptAdditionalCq::Initialize | ( | const Journalist & | jnlst,
|  | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

This method is called to initialize the global algorithmic parameters.

The parameters are taken from the OptionsList object.

Implemented in Ipopt::InexactCq, and Ipopt::CGPenaltyCq.

void Ipopt::IpoptAdditionalCq::operator= | ( | const IpoptAdditionalCq & |  | ) | `[private]`

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/IpIpoptCalculatedQuantities.hpp